Bug 216051 - devel/qt4-linguist: fails to build with clang 4.0 (40 ports skipped)
Summary: devel/qt4-linguist: fails to build with clang 4.0 (40 ports skipped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL: https://reviews.freebsd.org/D9184
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-14 04:42 UTC by Jan Beich
Modified: 2017-01-31 00:04 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-14 04:42:16 UTC
messagemodel.cpp:186:61: error: ordered comparison between pointer and zero ('MessageItem *' and 'int')
                if (c->findMessage(m->text(), m->comment()) >= 0)
                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^  ~

build log: http://sprunge.us/XVSQ
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Tobias C. Berner freebsd_committer 2017-01-14 20:20:24 UTC
Interesting.  I'll try to provide a patch as soon as I find time. Looking at the linguist sources, there might be few other places that need fixing too for that.
Comment 2 groot 2017-01-14 20:35:37 UTC
For the specific error mentioned in the description, it's clearly a bug. Should be != 0 . I'll go through this port -- and see if there's others in the linked PRs for KDE -- and produce some patches, since this should be fixed (not just in the face of newer compilers).
Comment 3 groot 2017-01-14 21:24:28 UTC
See D9184, that fixes the build of qt4-linguist against llvm-devel.
Comment 4 commit-hook freebsd_committer 2017-01-18 11:54:25 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jan 18 11:53:57 UTC 2017
New revision: 431792
URL: https://svnweb.freebsd.org/changeset/ports/431792

Log:
  devel/qt4-linguist: unbreak with clang 4.0

  messagemodel.cpp:186:61: error: ordered comparison between pointer and zero ('MessageItem *' and 'int')
                  if (c->findMessage(m->text(), m->comment()) >= 0)
                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^  ~

  PR:		216051
  Submitted by:	Adriaan de Groot <groot@kde.org>
  Obtained from:	upstream (Qt5)
  Approved by:	kde (tcberner)
  MFH:		2017Q1 (changes behavior)
  Differential Revision:	https://reviews.freebsd.org/D9184

Changes:
  head/devel/qt4-linguist/Makefile
  head/devel/qt4-linguist/files/patch-tools_linguist_linguist_messagemodel.cpp
Comment 5 Jan Beich freebsd_committer 2017-01-18 11:55:43 UTC
Thanks. Landed.
Comment 6 commit-hook freebsd_committer 2017-01-19 05:25:46 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 19 05:25:16 UTC 2017
New revision: 431847
URL: https://svnweb.freebsd.org/changeset/ports/431847

Log:
  MFH: r431792

  devel/qt4-linguist: unbreak with clang 4.0

  messagemodel.cpp:186:61: error: ordered comparison between pointer and zero ('MessageItem *' and 'int')
                  if (c->findMessage(m->text(), m->comment()) >= 0)
                      ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ^  ~

  PR:		216051
  Submitted by:	Adriaan de Groot <groot@kde.org>
  Obtained from:	upstream (Qt5)
  Approved by:	kde (tcberner)
  Approved by:	ports-secteam (junovitch)
  Differential Revision:	https://reviews.freebsd.org/D9184

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/qt4-linguist/Makefile
  branches/2017Q1/devel/qt4-linguist/files/patch-tools_linguist_linguist_messagemodel.cpp